#include "World.h"
#include "Ogre.h"
#include "OgreMath.h"
#include "OgreSceneManager.h"
#include "OgreSceneNode.h"
#include "OgreVector3.h"
#include "OgreSphere.h"

using namespace Ogre;

World::World(SceneManager *sceneManager) : mSceneManager(sceneManager)
{

    mSceneManager->setAmbientLight(ColourValue(1,1,1));

}


void 
World::createObject(const char *meshName, const char *nodeName)
{
    Ogre::Entity *entity = mSceneManager->createEntity(meshName);
    Ogre::SceneNode *node = mSceneManager->getRootSceneNode()->createChildSceneNode(nodeName);
    node->attachObject(entity);
}

void
World::setPosition(const char *nodename, Ogre::Vector3 newPosition)
{
    Ogre::SceneNode *n = mSceneManager->getSceneNode(nodename);
    
    Ogre::Vector3 pos = n->getPosition();

    mSceneManager->getSceneNode(nodename)->setPosition(newPosition);
}


void 
World::Think(float time)
{

    // Add code to  update animation here

}


